#ifndef NATIVEFIELD_H
#define NATIVEFIELD_H
#include "stdlib.h"
#include "JniHelper.h"
#include "Constants.h"
#include "Cell.h"

class NativeField {
public:
	NativeField(JniHelper* helper, int rows, int columns);
	~NativeField();
	void Clear();
	Cell* GetCells();
	int GetRows();
	int GetColumns();
	void PutShape(jobject shape);
	void ValidatePoint(Point& point);
	Cell& GetCellAt(int row, int col);
	void SetCellAt(int row, int col, Cell& cell);
private:
	int rows_;
	int columns_;
	Cell* cells_;
	JniHelper *helper_;

};
#endif // NATIVEFIELD_H
