package com.vickingur.model;

public class GameProcessorFactory {

    private static IGameProcessor instance = null;
    private static boolean isNative = false;

    public static synchronized IGameProcessor getInstance(boolean nativeImpl) {
        if (instance == null || isNative != nativeImpl) {
            if (nativeImpl) {
                instance = new NativeGameProcessor();
            } else {
                instance = new GameProcessor();
            }
            isNative = nativeImpl;
        }
        return instance;
    }
}
