package com.vickingur.model;

import com.vickingur.model.shapes.Cell;
import com.vickingur.model.shapes.IShape;

public interface IGameProcessor {

    public abstract void createField(int rows, int columns);

    public abstract Cell[] getCells();

    public abstract int tick();

    public abstract void pauseGame();

    public abstract void resumeGame();

    public abstract void clear();

    public abstract int getGenerationCount();

    public abstract boolean switchState();

    public abstract void putShape(IShape shape);

    public abstract int getRows();

    public abstract int getColumns();

    public abstract void addShapeToQ(IShape shape);

    public abstract void requestCleanUp();

    public abstract boolean isNeedToCleanUpAndStop();

}
