package com.vickingur.model;

import java.io.InputStream;

import com.vickingur.model.shapes.BHeptomino;
import com.vickingur.model.shapes.Boat;
import com.vickingur.model.shapes.Eight;
import com.vickingur.model.shapes.Glider;
import com.vickingur.model.shapes.IShape;
import com.vickingur.model.shapes.ImportedShape;
import com.vickingur.model.shapes.Pentadecathlon;
import com.vickingur.model.shapes.Solitary;
import com.vickingur.model.shapes.Tipper;

public class ShapeFactory {
    public static IShape createNewShape(int type, Object data) {
        IShape shape = null;
        switch (type) {
        case IShape.Eight:
            shape = new Eight();
            break;
        case IShape.Glider:
            shape = new Glider();
            break;
        case IShape.Solitary:
            shape = new Solitary();
            break;
        case IShape.Tipper:
            shape = new Tipper();
            break;
        case IShape.Pentadecathlon:
            shape = new Pentadecathlon();
            break;
        case IShape.Boat:
            shape = new Boat();
            break;
        case IShape.BHeptomino:
            shape = new BHeptomino();
            break;
        case IShape.ImportedShape:
            shape = new ImportedShape((InputStream) data);
            break;
        }
        return shape;
    }
}
